---
title: Document.designMode
slug: Web/API/Document/designMode
tags:
  - API
  - Document
  - HTML DOM
  - NeedsContent
  - NeedsSpecTable
  - Property
  - Reference
  - editor
---
<div>{{ApiRef()}}</div>

<p><strong><code>document.designMode</code></strong> controls whether the entire document is editable. Valid values are <code>"on"</code> and <code>"off"</code>. According to the specification, this property is meant to default to <code>"off"</code>. Firefox follows this standard. The earlier versions of Chrome and IE default to <code>"inherit"</code>. Starting in Chrome 43, the default is <code>"off"</code> and <code>"inherit"</code> is no longer supported. In IE6-10, the value is capitalized.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var mode = document.designMode;
document.designMode = <em>value</em>;</pre>

<h3 id="Value">Value</h3>

<p>A string indicating whether <code>designMode</code> is (or should be) set to on or off. Valid values are <code>on</code> and <code>off</code>.</p>

<h2 id="Example">Example</h2>

<p>Make an {{HTMLElement("iframe")}}'s document editable:</p>

<pre class="brush: js">iframeNode.contentDocument.designMode = "on";
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#making-entire-documents-editable:-the-designmode-idl-attribute', 'designMode')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.designMode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Rich-Text_Editing_in_Mozilla">Rich-Text Editing in Mozilla</a></li>
 <li>{{domxref("HTMLElement.contentEditable")}}</li>
</ul>
